Package org.eclipse.jdt.core.refactoring.descriptors

# Class RenameResourceDescriptor

java.lang.Object
org.eclipse.ltk.core.refactoring.RefactoringDescriptor
org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringDescriptor
org.eclipse.jdt.core.refactoring.descriptors.RenameResourceDescriptor

All Implemented Interfaces:
  `Comparable<org.eclipse.ltk.core.refactoring.RefactoringDescriptor>`

@Deprecated public final class RenameResourceDescriptor extends JavaRefactoringDescriptor
Deprecated.
since 1.2, use `RenameResourceDescriptor` from `org.eclipse.ltk.core.refactoring` instead.
Refactoring descriptor for the rename resource refactoring.

An instance of this refactoring descriptor may be obtained by calling `RefactoringContribution.createDescriptor()` on a refactoring contribution requested by invoking `RefactoringCore.getRefactoringContribution(String)` with the appropriate refactoring id.

Note: this class is not intended to be instantiated by clients.

Since:
  1.1
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from class org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringDescriptor

`ATTRIBUTE_ELEMENT, ATTRIBUTE_INPUT, ATTRIBUTE_NAME, ATTRIBUTE_REFERENCES, ATTRIBUTE_SELECTION, ATTRIBUTE_VERSION, fArguments, JAR_MIGRATION, JAR_REFACTORING, JAR_SOURCE_ATTACHMENT, VALUE_VERSION_1_0`

### Fields inherited from class org.eclipse.ltk.core.refactoring.RefactoringDescriptor

`BREAKING_CHANGE, ID_UNKNOWN, MULTI_CHANGE, NONE, STRUCTURAL_CHANGE, USER_CHANGE`

## Constructor Summary

Constructors
Constructor
Description
`RenameResourceDescriptor()`
Deprecated.
Creates a new refactoring descriptor.
`RenameResourceDescriptor(String project, String description, String comment, Map<String,String> arguments, int flags)`
Deprecated.
Creates a new refactoring descriptor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNewName()`
Deprecated.
Returns the new name to rename the resource to.
`org.eclipse.core.runtime.IPath`
`getResourcePath()`
Deprecated.
Returns the path of the resource to rename.
`protected void`
`populateArgumentMap()`
Deprecated.
Populates the refactoring descriptor argument map based on the specified arguments.
`void`
`setNewName(String name)`
Deprecated.
Sets the new name to rename the resource to.
`void`
`setProject(String project)`
Deprecated.
Sets the project name of this refactoring.
`void`
`setResource(org.eclipse.core.resources.IResource resource)`
Deprecated.
Sets the resource to be renamed.
`org.eclipse.ltk.core.refactoring.RefactoringStatus`
`validateDescriptor()`
Deprecated.
Validates the refactoring descriptor with respect to the constraints imposed by the represented refactoring.

### Methods inherited from class org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringDescriptor

`createRefactoring, elementToHandle, getArguments, handleToElement, handleToElement, handleToElement, handleToResource, resourceToHandle, setComment, setDescription, setFlags`

### Methods inherited from class org.eclipse.ltk.core.refactoring.RefactoringDescriptor

`compareTo, createRefactoringContext, equals, getComment, getDescription, getFlags, getID, getProject, getTimeStamp, hashCode, setTimeStamp, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RenameResourceDescriptor

public RenameResourceDescriptor()
Deprecated.
Creates a new refactoring descriptor.

### RenameResourceDescriptor

public RenameResourceDescriptor(String project, String description, String comment, Map<String,String> arguments, int flags)
Deprecated.
Creates a new refactoring descriptor.

Parameters:
  `project` - the non-empty name of the project associated with this refactoring, or `null` for a workspace refactoring
  `description` - a non-empty human-readable description of the particular refactoring instance
  `comment` - the human-readable comment of the particular refactoring instance, or `null` for no comment
  `arguments` - a map of arguments that will be persisted and describes all settings for this refactoring
  `flags` - the flags of the refactoring descriptor
Throws:
  `IllegalArgumentException` - if the argument map contains invalid keys/values
Since:
  1.2

## Method Details

### populateArgumentMap

protected void populateArgumentMap()
Deprecated.
Description copied from class: `JavaRefactoringDescriptor`
Populates the refactoring descriptor argument map based on the specified arguments. Subclasses should extend and add their arguments to `JavaRefactoringDescriptor.fArguments`.

Overrides:
  `populateArgumentMap` in class `JavaRefactoringDescriptor`

### setNewName

public void setNewName(String name)
Deprecated.
Sets the new name to rename the resource to.

Parameters:
  `name` - the non-empty new name to set

### getNewName

public String getNewName()
Deprecated.
Returns the new name to rename the resource to.

Returns:
  the new name to rename the resource to
Since:
  1.2

### setProject

public void setProject(String project)
Deprecated.
Sets the project name of this refactoring.

Note: If the resource to be renamed is of type `IResource.PROJECT`, clients are required to to set the project name to `null`.

The default is to associate the refactoring with the workspace.

Overrides:
  `setProject` in class `JavaRefactoringDescriptor`
Parameters:
  `project` - the non-empty project name to set, or `null` for the workspace
See Also:
  - `RefactoringDescriptor.getProject()`

### setResource

public void setResource(org.eclipse.core.resources.IResource resource)
Deprecated.
Sets the resource to be renamed.

Note: If the resource to be renamed is of type `IResource.PROJECT`, clients are required to to set the project name to `null`.

Parameters:
  `resource` - the resource to be renamed

### getResourcePath

public org.eclipse.core.runtime.IPath getResourcePath()
Deprecated.
Returns the path of the resource to rename.

Returns:
  the path of the resource to rename
Since:
  1.2

### validateDescriptor

public org.eclipse.ltk.core.refactoring.RefactoringStatus validateDescriptor()
Deprecated.
Description copied from class: `JavaRefactoringDescriptor`
Validates the refactoring descriptor with respect to the constraints imposed by the represented refactoring.

Clients must call this method to verify that all arguments have been correctly set and that they satisfy the constraints imposed by specific refactorings. Returning a refactoring status of severity `RefactoringStatus.FATAL` indicates that the refactoring descriptor cannot be used to create a refactoring instance.

Overrides:
  `validateDescriptor` in class `JavaRefactoringDescriptor`
Returns:
  a refactoring status describing the outcome of the validation